org.eclipse.emf.cdo.view

## Interface CDOStaleReferencePolicy

- All Known Implementing Classes:
    CDOStaleReferencePolicy.DynamicProxy, CDOStaleReferencePolicy.DynamicProxy.Enhanced

      public interface CDOStaleReferencePolicy

  Specifies a policy on how to deal with stale references.
  Since:
    3.0
  Author:
    Simon McDuff

- - ### Nested Class Summary

    Nested Classes
    Modifier and Type | Interface and Description
    --- | ---
    `static class` | `CDOStaleReferencePolicy.DynamicProxy`

  - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static CDOStaleReferencePolicy` | `DEFAULT`
    `static CDOStaleReferencePolicy` | `EXCEPTION` A stale reference policy that throws an `ObjectNotFoundException` each time.
    `static CDOStaleReferencePolicy` | `PROXY` A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.Object` | `processStaleReference(EObject source, EStructuralFeature feature, int index, CDOID target)` Returns an object that we want to return to the caller (clients).

- - ### Field Detail

    - #### EXCEPTION

          static final CDOStaleReferencePolicy EXCEPTION

      A stale reference policy that throws an `ObjectNotFoundException` each time.

    - #### PROXY

          static final CDOStaleReferencePolicy PROXY

      A stale reference policy that returns dynamic Java proxies with the appropriate EClasses.

    - #### DEFAULT

          static final CDOStaleReferencePolicy DEFAULT

      Since:
        4.2

  - ### Method Detail

    - #### processStaleReference

          java.lang.Object processStaleReference(EObject source,
                                                 EStructuralFeature feature,
                                                 int index,
                                                 CDOID target)

      Returns an object that we want to return to the caller (clients). Exception thrown will be received by the caller (clients).

Copyright (c) 2014 Eike Stepper (Berlin, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html